Subject: Re: [PATCH V4 1/5] The macro spin_event_timeout() takes a condition and timeout value

From: Arnd Bergmann <[email-masked]>
Date: Tue, 26 May 2009 13:49:48 +0100

On Tuesday 26 May 2009, Geert Uytterhoeven wrote:
> However, you can still improve useability by making the macro return the rc,
> instead of letting the caller pass it, cfr. wait_event_timeout() and friends.

Either that, or it should at least use the do { ... } while (0) construct
to make the macro a statement. All multi-line macros need to either
use ({ ... }) or do { ... } while (0) to make sure they behave well.

	Arnd <><